void printl(long val);

int main()
{
  long i, j, val;

  for (i = -2; i < 3; i++)
    for (j = -2; j < 3; j++) {
      val = i << j; printl(val);
      val = i >> j; printl(val);
    }

  return 0;
}
